CURLMOPT_PIPELINING_SERVER_BL(3)

NAME
CURLMOPT_PIPELINING_SERVER_BL - pipelining server blacklist

SYNOPSIS
#include <curl/curl.h> CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_PIPELINING_SERVER_BL, char **servers);

DESCRIPTION
Pass a servers array of char *, ending with a NULL entry. This is a list of server types prefixes (in the Server: HTTP header) that are blacklisted from pipelining, i.e server types that are known to not support HTTP pipelining. The array is copied by libcurl. Note that the comparison matches if the Server: header begins with the string in the blacklist, i.e "Server: Ninja 1.2.3" and "Server: Ninja 1.4.0" can both be blacklisted by having "Ninja" in the backlist. Pass a NULL pointer to clear the blacklist.

DEFAULT
The default value is NULL, which means that there is no blacklist.

PROTOCOLS

EXAMPLE
  server_blacklist[] =
  {
    "Microsoft-IIS/6.0",
    "nginx/0.8.54",
    NULL
  };
  curl_multi_setopt(m, CURLMOPT_PIPELINING_SERVER_BL, server_blacklist);

AVAILABILITY
Added in 7.30.0

RETURN VALUE
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
CURLMOPT_PIPELINING(3), CURLMOPT_PIPELINING_SITE_BL(3),